# H323H239VideoCapability Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323H239VideoCapability:

[legend]
Collaboration diagram for H323H239VideoCapability:
[legend]

## Public Member Functions

Construction
| H323H239VideoCapability (const OpalMediaFormat &videoFormat)
Overrides from class PObject
Comparison | Compare (const PObject &obj) const
virtual PObject * | Clone () const
Identification functions
virtual PString | GetFormatName () const
Identification functions
virtual PBoolean | OnSendingPDU (H245_VideoCapability &pdu, CommandType type) const
virtual PBoolean | OnReceivedPDU (const H245_VideoCapability &pdu, CommandType type)

## Constructor & Destructor Documentation

H323H239VideoCapability::H323H239VideoCapability | ( | const OpalMediaFormat & | videoFormat | ) |

Create a new Extended Video capability.

## Member Function Documentation

virtual PObject* H323H239VideoCapability::Clone | ( |  | ) | const`[virtual]`

Create a copy of the object.

Comparison H323H239VideoCapability::Compare | ( | const PObject & | obj | ) | const

Compare two capability instances. This compares the main and sub-types of the capability.

Reimplemented from H323GenericVideoCapability.

virtual PString H323H239VideoCapability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual PBoolean H323H239VideoCapability::OnReceivedPDU | ( | const H245_VideoCapability & | pdu,
|  | CommandType | type |
| ) |  |  | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour calls H323GenericCapabilityinfo::OnReceivedPDU() to handle the provided PDU.

Parameters:

  pdu | PDU to get information from
  type | Type of PDU to send in

Reimplemented from H323ExtendedVideoCapability.

virtual PBoolean H323H239VideoCapability::OnSendingPDU | ( | H245_VideoCapability & | pdu,
|  | CommandType | type |
| ) |  |  | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour calls H323GenericCapabilityinfo::OnSendingPDU() to handle the PDU.

Parameters:

  pdu | PDU to set information on
  type | Type of PDU to send in

Reimplemented from H323ExtendedVideoCapability.

The documentation for this class was generated from the following file:

- h323caps.h